import request from "@/utils/request";

/**
 * 通过id获取报故详情
 *
 * @param queryParams
 */
export function getEscalationFaultById(id: any) {
  return request({
    url: "/api/v1/process/escalationFault/get/" + `${id}`,
    method: "get",
  });
}
/**
 * 扫描获取用户信息
 *
 */
export function checkUser(data: any) {
  return request({
    url: "/api/v1/sys/user/user/detail",
    method: "post",
    data,
  });
}
export function getCheckList(data: any) {
  return request({
    url: "/api/v1/process/check/items/page",
    method: "post",
    data,
  });
}
export function addCheckList(data: any) {
  return request({
    url: "/api/v1/process/check/items/add",
    method: "post",
    data,
  });
}
export function editCheckList(data: any) {
  return request({
    url: "/api/v1/process/check/items/update",
    method: "post",
    data,
  });
}
export function deleteCheckList(data: any) {
  return request({
    url: "/api/v1/process/check/items/del",
    method: "post",
    data,
  });
}

export function getSeqData(id: any) {
  return request({
    url: "/api/v1/process/escalationFault/getWorkDetail/" + `${id}`,
    method: "get",
  });
}
